diff -Nur schedtool-1.3.0.orig/Makefile schedtool-1.3.0/Makefile
--- schedtool-1.3.0.orig/Makefile	2008-09-15 08:46:35.000000000 -0500
+++ schedtool-1.3.0/Makefile	2009-11-01 22:13:27.290962705 -0600
@@ -1,11 +1,13 @@
 # go on and adjust here if you don't like those flags
-CFLAGS=-Os -fomit-frame-pointer -s -pipe
-#CFLAGS=-Wall -Os -fomit-frame-pointer -s -pipe -DDEBUG
+OPT=-Os
+CFLAGS=$(OPT) -fomit-frame-pointer -s -pipe
+#CFLAGS=-Wall $(OPT) -fomit-frame-pointer -s -pipe -DDEBUG
 CC=gcc
 # likewise, if you want to change the destination prefix
 DESTDIR=
-DESTPREFIX=/usr/local
-MANDIR=$(DESTPREFIX)/share/man/man8
+PREFIX=/usr/local
+MANDIR=$(PREFIX)/share/man
+DOCDIR=$(PREFIX)/share/doc/$(RELEASE)
 GZIP=gzip -9
 TARGET=schedtool
 DOCS=LICENSE README INSTALL SCHED_DESIGN
@@ -20,14 +22,14 @@
 	rm -f *~ *.s
 
 install: all install-doc zipman
-	install -d $(DESTDIR)$(DESTPREFIX)/bin
-	install -p -c $(TARGET) $(DESTDIR)$(DESTPREFIX)/bin
-	install -d $(DESTDIR)$(MANDIR)
-	install -p -c schedtool.8.gz $(DESTDIR)$(MANDIR)
+	install -d $(DESTDIR)$(PREFIX)/bin
+	install -p -c $(TARGET) $(DESTDIR)$(PREFIX)/bin
+	install -d $(DESTDIR)$(MANDIR)/man8
+	install -p -c -m 0644 schedtool.8.gz $(DESTDIR)$(MANDIR)/man8
 
 install-doc:
-	install -d $(DESTDIR)$(DESTPREFIX)/share/doc/$(RELEASE)
-	install -p -c $(DOCS) $(DESTDIR)$(DESTPREFIX)/share/doc/$(RELEASE)
+	install -d $(DESTDIR)$(DOCDIR)
+	install -p -c -m 0644 $(DOCS) $(DESTDIR)$(DOCDIR)
 
 zipman:
 	test -f schedtool.8 && $(GZIP) schedtool.8 || exit 0
